{
  config,
  lib,
  pkgs,
  ...
}:

{
  imports = [ ];

  options.me = {
    esim.enable = lib.mkOption {
      type = lib.types.bool;
      default = false;
      example = true;
      description = "Whether we want to install esim.";
    };
  };

  config = lib.mkIf (config.me.esim.enable && config.me.graphical) {
    environment.systemPackages = with pkgs; [
      easylpac
      zbar # To decode qrcodes via `zbarimg <file>`
    ];

    nixpkgs.overlays = [
      (final: prev: {
        easylpac = (final.callPackage ./package/easylpac/package.nix { });
      })
    ];

  };
}
